package dao

import (
	"shandong_datapush/common"
	"shandong_datapush/config"
)

/*
	干滩实时数据
*/
func GtRealDataProcess() []*common.DryBeachData {
	row, err := config.DB.Query(config.RealTimeSql.GtRealTimeSql)
	common.ErrorPrintln("干滩实时数据查询异常", err)
	Arrs := make([]*common.DryBeachData, 0)
	for row.Next() {
		dryBeach := new(common.DryBeachData)
		err := row.Scan(&dryBeach.Sensorno, &dryBeach.Value, &dryBeach.Collectdate)
		common.ErrorPrintln("Scan 干滩实时数据关系映射异常", err)
		Arrs = append(Arrs, dryBeach)
	}
	return Arrs
}

/*
	库水位实时数据
 */
func KswRealDataProcess() []*common.ReserWaterLevelData {
	row, err := config.DB.Query(config.RealTimeSql.KswRealTimeSql)
	common.ErrorPrintln("库水位实时数据查询异常", err)
	Arrs := make([]*common.ReserWaterLevelData, 0)
	for row.Next() {
		reserWater := new(common.ReserWaterLevelData)
		err := row.Scan(&reserWater.Sensorno, &reserWater.Value, &reserWater.Collectdate)
		common.ErrorPrintln("Scan 库水位实时数据关系映射异常", err)
		Arrs = append(Arrs, reserWater)
	}
	return Arrs
}

/*
	浸润线实时数据
*/
func JrxRealDataProcess() []*common.SaturationLineData {
	row, err := config.DB.Query(config.RealTimeSql.JrxRealTimeSql)
	common.ErrorPrintln("浸润线实时数据查询异常", err)
	Arrs := make([]*common.SaturationLineData, 0)
	for row.Next() {
		saturation := new(common.SaturationLineData)
		err := row.Scan(&saturation.Sensorno, &saturation.Value, &saturation.Collectdate)
		common.ErrorPrintln("Scan 浸润线实时数据关系映射异常", err)
		Arrs = append(Arrs, saturation)
	}
	return Arrs
}

/*
	降雨量实时数据
*/
func JylRealDataProcess() []*common.RainfallData {
	row, err := config.DB.Query(config.RealTimeSql.JylRealTimeSql)
	common.ErrorPrintln("降雨量实时数据查询异常", err)
	Arrs := make([]*common.RainfallData, 0)
	for row.Next() {
		rainfall := new(common.RainfallData)
		err := row.Scan(&rainfall.Sensorno, &rainfall.Value, &rainfall.Collectdate)
		common.ErrorPrintln("Scan 降雨量实时数据关系映射异常", err)
		Arrs = append(Arrs, rainfall)
	}
	return Arrs
}


/*
	内部位移实时数据
*/
func NbwyRealDataProcess() []*common.InclinometerData {
	row, err := config.DB.Query(config.RealTimeSql.NbwyRealTimeSql)
	common.ErrorPrintln("内部位移实时数据查询异常", err)
	Arrs := make([]*common.InclinometerData, 0)
	for row.Next() {
		inclinometer := new(common.InclinometerData)
		err := row.Scan(&inclinometer.Sensorno, &inclinometer.Xvalue, &inclinometer.Yvalue, &inclinometer.Collectdate)
		common.ErrorPrintln("Scan 内部位移实时数据关系映射异常", err)
		Arrs = append(Arrs, inclinometer)
	}
	return Arrs
}



/*
	表面位移实时数据
*/
func BmwyRealDataProcess() []*common.DisplacementData {
	row, err := config.DB.Query(config.RealTimeSql.BmwyRealTimeSql)
	common.ErrorPrintln("表面位移实时数据查询异常", err)
	Arrs := make([]*common.DisplacementData, 0)
	for row.Next() {
		displacement := new(common.DisplacementData)
		err := row.Scan(&displacement.Sensorno, &displacement.Xvalue, &displacement.Yvalue, &displacement.Zvalue, &displacement.Collectdate)
		common.ErrorPrintln("Scan 表面位移实时数据关系映射异常", err)
		Arrs = append(Arrs, displacement)
	}
	return Arrs
}


/*
	设备离线实时数据
*/
func DeviceOffLineRealDataProcess() []*common.DeviceOffLineData {
	row, err := config.DB.Query(config.RealTimeSql.DeviceOffLineDataRealTimeSql)
	common.ErrorPrintln("设备离线实时数据查询异常", err)
	Arrs := make([]*common.DeviceOffLineData, 0)
	for row.Next() {
		deviceOffLine := new(common.DeviceOffLineData)
		err := row.Scan(&deviceOffLine.Sensorno, &deviceOffLine.Collectdate)
		common.ErrorPrintln("Scan 设备离线实时数据关系映射异常", err)
		Arrs = append(Arrs, deviceOffLine)
	}
	return Arrs
}



/*
	报警设备实时数据
*/
func AlarmDataRealDataProcess() []*common.AlarmMessData {
	row, err := config.DB.Query(config.RealTimeSql.AlarmMessDataRealTimeSql)
	common.ErrorPrintln("报警实时数据查询异常", err)
	Arrs := make([]*common.AlarmMessData, 0)
	for row.Next() {
		alarmMess := new(common.AlarmMessData)
		err := row.Scan(&alarmMess.Sensorno, &alarmMess.Value, &alarmMess.Warninglevel, &alarmMess.Warningdate)
		common.ErrorPrintln("Scan 报警实时数据关系映射异常", err)
		Arrs = append(Arrs, alarmMess)
	}
	return Arrs
}
